# 说明

此依赖包必须搭配《无界》使用，否则会报错，后续会保持更新优化。

# 安装-npm i wujie-event-bus

npm i wujie-event-bus

# 使用

import { listenReceiveOn, subListenReceiveEmit, ...} from 'wujie-event-bus'

# 具体通信

## 1、主应用监听子应用：

name: 子应用设置的事件名, callback: 回调函数-在函数中可以处理子应用传入的 props 参数

listenReceiveOn(name, callback)

## 2、子应用向主应用通信：

name: 事件名, props: 需要向主应用传入的参数

subListenReceiveEmit(name,props)

## 3、主应用向子应用通信：

name: 主应用设置的事件名, props: 需要向子应用传入的参数

listenReceiveEmit(name, props)

## 4、子应用监听主应用：

name: 主应用设置的事件名, callback: 回调函数-在函数中可以处理主应用传入的 props 参数

subListenReceiveOn(name, callback)

## 5、主应用取消事件监听：

name: 需要取消监听的事件名, callback: 取消事件监听的回调函数

listenReceiveOff(name, callback)

## 6、子应用取消事件监听：

name: 需要取消监听的事件名, callback: 取消事件监听的回调函数

subListenReceiveOff(name, callback)
