import WujieVue from 'wujie-vue2'

const { bus } = WujieVue

// 通用主应用事件监听事件
export const listenReceiveOn = (name, callback) => {
  return bus.$on(name, callback)
}

// 通用主应用事件发送事件
export const listenReceiveEmit = (name, props) => {
  return bus.$emit(name, props)
}

// 通用主应用事件取消事件监听
export const listenReceiveOff = (name, callback) => {
  return bus.$off(name, callback)
}

// 通用子应用事件监听事件
export const subListenReceiveOn = (name, callback) => {
  return window.$wujie?.bus.$on(name, callback)
}

// 通用子应用事件发送事件
export const subListenReceiveEmit = (name, props) => {
  return window.$wujie?.bus.$emit(name, props)
}
// 通用子应用事件取消事件监听
export const subListenReceiveOff = (name, callback) => {
  return window.$wujie?.bus.$off(name, callback)
}
